Bug 66306 - Building SRPM adds user/group "canna"
Building SRPM adds user/group "canna"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Canna (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nakai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 09:02 EDT by Steve Snyder
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-07 09:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2002-06-07 09:02:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
The act of building (not installing) the Canna binary RPM causes a new user to
be defined on the system on which the RPM is built.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Run: rpm --rebuild Canna-3.5b2-62.src.rpm
2. After build completes, inspect system log.
3. In system log, note these new entries:

  useradd[10171]: new group: name=canna, gid=39
  useradd[10171]: new user: name=canna, uid=39, gid=39, home=/var/lib/canna,
shell=/bin/false


	

Actual Results:  New user and group created on build system.

Expected Results:  New user and group "canna" should be created when RPM is
*installed*, not when it's built.


Additional info:
Comment 1 Nakai 2002-07-12 08:41:19 EDT
Fixed in Canna-3.5b2-67

Note You need to log in before you can comment on or make changes to this bug.